# Pin Config: activePort-NTC 10k-readoutPort-10uF-GND

import RPi.GPIO as GPIO
import time

GPIO.setwarnings(False) 
GPIO.setmode(GPIO.BCM)

activePort = 7
readoutPort = 8
cal = 1000.0
offset = 100.0

GPIO.setup(activePort, GPIO.OUT)
GPIO.setup(readoutPort, GPIO.IN) 

while(True):
 GPIO.output(activePort, 1)
 time.sleep(1)
 GPIO.output(activePort, 0)
 tStart = time.time()
 while GPIO.input(readoutPort) > 0:
   pass
 tStop = time.time()
 T = int (offset-((tStop-tStart)*cal))
 print(T)
 time.sleep(1)